package org.omg.PortableInterceptor;

import org.omg.PortableInterceptor.ORBInitInfoPackage.DuplicateName;
import org.omg.PortableInterceptor.ORBInitInfoPackage.InvalidName;
import org.omg.CORBA.Object;
import org.omg.IOP.CodecFactory;

public interface ORBInitInfoOperations
{
    public abstract String[] arguments();
    
    public abstract String orb_id();
    
    public abstract CodecFactory codec_factory();
    
    public abstract void register_initial_reference(String p0, org.omg.CORBA.Object p1) throws InvalidName;
    
    public abstract org.omg.CORBA.Object resolve_initial_references(String p0) throws InvalidName;
    
    public abstract void add_client_request_interceptor(ClientRequestInterceptor p0) throws DuplicateName;
    
    public abstract void add_server_request_interceptor(ServerRequestInterceptor p0) throws DuplicateName;
    
    public abstract void add_ior_interceptor(IORInterceptor p0) throws DuplicateName;
    
    public abstract int allocate_slot_id();
    
    public abstract void register_policy_factory(int p0, PolicyFactory p1);
}
